Subject: bug#41117: closed (Re: bug#41117: "Cut and paste" section name in bookmarks (PDF, Emacs manual))

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 02 Sep 2020 15:20:04 +0000

Your bug report

#41117: "Cut and paste" section name in bookmarks (PDF, Emacs manual)

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
41117: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=41117
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#41117: "Cut and paste" section name in bookmarks (PDF, Emacs manual)
From: Stefan Kangas <[email-masked]>
To: Sebastian Urban <[email-masked]>
Cc: Eli Zaretskii <[email-masked]>, [email-masked]
Date: Wed, 2 Sep 2020 15:19:55 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Sebastian Urban <[email-masked]> writes:

>> Sorry, no.  I don't want to fix Texinfo problems in our sources,
>> especially since these problems are subtle and the "fix" looks plainly
>> wrong to Texinfo users.  Someone will come later and delete it as a
>> mistake.
>> We will have to wait until Texinfo fixes this.
>
> OK.
>
> I guess this bug can remain open until fix for Texinfo arrive
> somewhere in the future.  But if you want another report in the
> future, because it may take some time, feel free to close this one.

It's enough that texinfo tracks this bug on their end, so I'm closing
this bug report.

Thanks for reporting the bug to the texinfo maintainers.

Subject: "Cut and paste" section name in bookmarks (PDF, Emacs manual)
From: Sebastian Urban <[email-masked]>
To: Bug GNU Emacs <[email-masked]>
Date: Thu, 7 May 2020 01:33:23 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

I'm not sure about it, because it's against convention of using
``...'' in source file, but it's for '@section', so it's kind of
special case, which means it may be acceptable.

Attached picture shows before/after.

--- old/killing.texi    2020-05-03 01:31:57.259190700 +0200
+++ new/killing.texi    2020-05-06 23:39:16.942404300 +0200
@@ -452,7 +452,7 @@
  append to the text that @kbd{M-w} copied into the kill ring.

  @node Cut and Paste
-@section ``Cut and Paste'' Operations on Graphical Displays
+@section “Cut and Paste” Operations on Graphical Displays
  @cindex cut
  @cindex copy
  @cindex paste

S. U.